over {rgeos} | R Documentation

## Find spatial join or intersections

### Description

Find spatial join or intersections

### Usage

    overGeomGeom(x, y, returnList = FALSE, fn = NULL, ..., minDimension = -1)
    overGeomGeomDF(x, y, returnList = FALSE, fn = NULL, ..., minDimension = -1)

### Arguments

`x` | see over
`y` | see over
`returnList` | see over
`fn` | see over
`...` | see over
`minDimension` | integer; if `-1`, gIntersects is used to find geometry intersections; if `0`, `1` or `2`, gRelate is used. if gRelate is used, intersecting geometries are ordered by the dimension of the intersection (2: area overlap; 1: line in common; 0: point in common), and `minDimension` determines the mininum dimension of intersection required.

### Value

see over

### Note

gRelate (`minDimension` > -1) is likely to be substantially slower than gIntersects.

### Author(s)

Edzer Pebesma

### Examples

    p1 = readWKT("POLYGON((0 1,0.95 0.31,0.59 -0.81,-0.59 -0.81,-0.95 0.31,0 1))")
    p2 = readWKT("POLYGON((2 2,-2 2,-2 -2,2 -2,2 2),(1 1,-1 1,-1 -1,1 -1,1 1))")

    overGeomGeom(p1,p2)

[Package rgeos version 0.5-1 Index]